using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "an elemental corpse" )]
	public class BloodElementalElder : BaseCreature
	{
		public override double DispelDifficulty{ get{ return 125.0; } }
		public override double DispelFocus{ get{ return 45.0; } }

		[Constructable]
		public BloodElementalElder() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "elder elemental of blood";
			Body = 83;
			Hue = 1074;
			BaseSoundID = 278;

			SetStr( 658, 769 );
			SetDex( 83, 106 );
			SetInt( 283, 438 );

			SetHits( 395, 461 );

			SetDamage( 21, 34 );

			SetSkill( SkillName.Concentration, 106.4, 125.0 );
			SetSkill( SkillName.Magery, 106.4, 125.0 );
			SetSkill( SkillName.Meditation, 13.0, 62.5 );
			SetSkill( SkillName.MagicResist, 100.1, 118.8 );
			SetSkill( SkillName.Tactics, 100.1, 125.0 );
			SetSkill( SkillName.HandToHand, 100.1, 125.0 );

			Fame = 15625;
			Karma = -15625;

			VirtualArmor = 75;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich, 2 );
			AddLoot( LootPack.Rich, 2 );
		}

		public BloodElementalElder( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}